package _VisualDVM.Visual.Interface;
public interface MainWindow {
    void Show();
    void ShowProject();
    void ShowNoProject();
    ProjectWindow getProjectWindow();
    CallbackWindow getCallbackWindow();
    CredentialsWindow getCredentialsWindow();
    TestsWindow getTestsWindow();
    TestingWindow getTestingWindow();
    AdministrationWindow getAdministrationWindow();
    //-
    void ShowUpdatesIcon();
    void FocusProject();
    void FocusCallback();
    void FocusCredentials();
    void FocusTests();
    void FocusTesting();
    //-
    void ShowCheckedTestsCount();
    void ShowUndefinedTabs();
    void ShowUserTabs();
    void ShowStudentTabs();
    void ShowDeveloperTabs();
    void ShowAdminTabs();
}
